%global dlrn_nvr oslo.log-4.4.0-1.20230124123758.9b29c90
%global dlrn 1
%define upstream_version 4.4.0
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0
%global pypi_name oslo.log
%global pkg_name oslo-log

%global common_desc \
OpenStack logging configuration library provides standardized configuration \
for all openstack projects. It also provides custom formatters, handlers and \
support for context specific logging (like resource id’s etc).

%global common_desc1 \
Tests for the Oslo Log handling library.

Name:           python-oslo-log
Version: 4.4.0
Release: 1.20230124123758.9b29c90%{?dist}
Summary:        OpenStack Oslo Log library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.log-4.4.0-1.20230124123758.9b29c90.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9b29c909dbb418e75b5841de09d0df0bae7c91d1

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

%package -n python3-%{pkg_name}
Summary:        OpenStack Oslo Log library
%{?python_provide:%python_provide python3-%{pkg_name}}
Obsoletes: python2-%{pkg_name} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  git-core
# Required for tests
BuildRequires:  python3-dateutil
BuildRequires:  python3-mock
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-context
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-subunit
BuildRequires:  python3-testtools
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
# Required to compile translation files
BuildRequires:  python3-babel
BuildRequires:  python3-inotify

Requires:       python3-pbr
Requires:       python3-dateutil
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-oslo-context >= 2.20.0
Requires:       python3-oslo-i18n >= 3.20.0
Requires:       python3-oslo-utils >= 3.36.0
Requires:       python3-oslo-serialization >= 2.25.0
Requires:       python3-debtcollector >= 1.19.0
Requires:       python3-inotify

Requires:       python-%{pkg_name}-lang = %{version}-%{release}

%description -n python3-%{pkg_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo Log handling library

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-utils

%description -n python-%{pkg_name}-doc
Documentation for the Oslo Log handling library.
%endif

%package -n python3-%{pkg_name}-tests
Summary:    Tests for the Oslo Log handling library

Requires:       python3-%{pkg_name} = %{version}-%{release}
Requires:       python3-mock
Requires:       python3-oslotest
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-subunit
Requires:       python3-testtools
Requires:       python3-testrepository
Requires:       python3-testscenarios

%description -n python3-%{pkg_name}-tests
%{common_desc1}

%description
%{common_desc}

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo log library

%description -n python-%{pkg_name}-lang
Translation files for Oslo log library

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
PYTHONPATH=. sphinx-build-3 -W -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif
# Generate i18n files
python3 setup.py compile_catalog -d build/lib/oslo_log/locale --domain oslo_log

%install
%{py3_install}
ln -s ./convert-json %{buildroot}%{_bindir}/convert-json-3

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_log/locale/*/LC_*/oslo_log*po
rm -f %{buildroot}%{python3_sitelib}/oslo_log/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_log/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_log --all-name

%check
python3 setup.py test

%files -n python3-%{pkg_name}
%doc README.rst ChangeLog AUTHORS
%license LICENSE
%{python3_sitelib}/oslo_log
%{python3_sitelib}/*.egg-info
%{_bindir}/convert-json
%{_bindir}/convert-json-3
%exclude %{python3_sitelib}/oslo_log/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_log/tests

%files -n python-%{pkg_name}-lang -f oslo_log.lang
%license LICENSE

%changelog
* Tue Jan 24 2023 OSP Prod Chain <dev-null@redhat.com> 4.4.0-1.20230124123758.9b29c90
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-1.20220727111130.9b29c90
- Update patches 

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 4.4.0-0.20220712113932.9b29c90
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.4.0-0.20210527184934.9b29c90
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added uwsgi_name information into fluentFormatter event message

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- zuul: port the legacy grenade job
- Bump bandit version
- Align contributing doc with oslo's policy

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Victoria and Wallaby in versionutils.deprecated

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.
- Default facility to None in OSJournalHandler class

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Add missing SYSLOG_FACILITY to JournalHandler
- Remove monotonic usage
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Add release notes links to doc index
- Imported Translations from Zanata
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- drop use of six

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Victoria and Wallaby releases to versionutils
- Switch to hacking 2.x

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove outdated header
- Stop to build universal wheel
- Ignore releasenote artifacts files.
- Drop python 2.7 support and testing
- Drop use of unittest2
- tox: Trivial cleanup

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always use jsonutils.to_primitive 'fallback' parameter

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Serialize complex objects in FluentFormatter
- Merge "Switch to official Ussuri jobs"
- Migrate grenade jobs to py3
- Switch to official Ussuri jobs

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tox: Keeping going with docs
- Update master for stable/train
- Add Ussuri release to versionutils

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


